#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# Point Class

Defined in: `src/pixi/core/Point.js:5`
Module: PIXI

The Point object represents a location in a two-dimensional coordinate system, where x represents the horizontal axis and y represents the vertical axis.

## Constructor

### `Point`

(

- `x`
- `y`

)

Defined in `src/pixi/core/Point.js:5`

#### Parameters:

- `x` Number

  position of the point on the x axis

- `y` Number

  position of the point on the y axis

- Index
- Methods
- Properties

## Item Index

### Methods

- clone
- set

### Properties

- x
- y

## Methods

### `clone`

() Point

Defined in `src/pixi/core/Point.js:30`

Creates a clone of this point

#### Returns:

Point:

a copy of the point

### `set`

(

- `[x=0]`
- `[y=0]`

)

Defined in `src/pixi/core/Point.js:41`

Sets the point to a new x and y position. If y is ommited, both x and y will be set to x.

#### Parameters:

- `[x=0]` Number optional

  position of the point on the x axis

- `[y=0]` Number optional

  position of the point on the y axis

## Properties

### `x`

Number

Defined in `src/pixi/core/Point.js:15`

Default: 0

### `y`

Number

Defined in `src/pixi/core/Point.js:22`

Default: 0